{
    "menuFlags":{
        "hasFile": 1,
        "loadInitFile": 1,
        "hasDaq":  1,
        "hasH5" : 1,
	"hasEpics" : 1
    },
   "ElogBooks": {

        "HIPA": {
            "url": "https://elog-gfa.psi.ch:443/HIPA",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/hipa/",
	    "Required": {"Eintrag": ["Problem", "Info", "Tuning", 
                                     "Betriebs-Wechsel", "Überbrückung", 
                                     "Pikett", "Status", "Bestandes aufnahme", "Meldung-AK3",
                                     "Tips & Tricks", "Schicht-Übergabe", 
                                     "Schicht-Auftrag"]},
	    "Optional" : {"Effekt": ["","Strahluntertbruch","reduzierter Strahl","anderer","keine"], 
			  "System":["","nicht definiert","Beam dynamics application", "Controls", "Diagnostik", 
				    "Electrostatische-Elemente", "Electrostatische-Speisegeräte", 
				    "Electroversorgung", "Geplanter Unterbruch", "Hochfahr-Probleme",
				    "HF", "Infrastruktur", "Interlock System", "Ionenquelle", "Külung", 
				    "Magnet", "Mag.Speisegeräte", "Operator Fehler", 
				    "Produktions Start aufgeschoben", "PSYS", "SINQ nicht bereit",
				    "Service", "Setup", "SU", "Strahlentwicklung", "Target-E", 
				    "Target-M", "Tuning", "Unbekannte Ursache", "Vakuum", 
				    "Andere Ursache"], 
			  "Ort": ["","nicht definiert","Ionenquelle", "Cockcroft Walton",
				  "Strahlführung 870 keV", "Injektor 2", "Strahlführung 72 MeV",
				  "Isotopenproduktion", "Ring Zyklotron", "Protonen-Kanal",
				  "Sekundär-Strahllinien", "Spallations Neutronenquelle",
				  "Ultrakalte Neutronenquelle", "Global", "Andere"]
			 } 
        },

        "HIPA+Strahlentwicklung": {
            "url": "https://elog-gfa.psi.ch:443/HIPA+Strahlentwicklung",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/hipa/",
	    "Required" : {"Projekt": ["","Superbuncher","Ringphase", "Sondenkopf für RIE2",
				      "OPAL - Abweichungen", "BW860", "BW860StrahlOptik",
				      "Strahlentwicklung", "Ausbildung/Accelerator Wiki",
				     "RING-Phasensonden", "neue RING-Phasensonden",
				     "Beamdump", "Schwerpunktmonitore", "Injektor 2",
				     "axiale Bewegung", "EHT Splitterbetrieb", "MinT",
				     "Optimizer"]
			 } 
        },


        "HIPA-Bestandesaufnahme": {
            "url": "https://elog-gfa.psi.ch:443/HIPA-Bestandesaufnahme",
            "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/hipa/",
	    "Required": {"Ort": ["Ionenquelle", "Cockcroft Walton",
				 "Strahlführung 870 keV", "Injektor 2", "Strahlführung 72 MeV",
				 "Isotopenproduktion", "Ring Zyklotron", "Protonen-Kanal",
				 "Sekundär-Strahllinien", "Spallations Neutronenquelle",
				 "Ultrakalte Neutronenquelle", "Global", "Andere"],
			 "Konsole" :["acsw00","acsw03","acsw04", "acsw05","acsw06"]
			}
	   
        },
       


       
       
       "Sandkasten": {
	     "url": "https://elog-gfa.psi.ch:443/Sandkasten",
             "destination": "/afs/psi.ch/intranet/Controls/tmp/elog/ePic/sls/",
	     "Required" : {"Eintrag": ["Problem","Anregung"]}, 
	     "Optional" : {"Status": ["","Offen", "Geschlossen"]}
       }
    },
 
    "Elog":{
        "useELOGenv": 0,
        "host": "elog-gfa.psi.ch",
	"book": "SLS",
	"url": "https://elog-gfa.psi.ch/SLS",
	"destination": "/afs/psi.ch/intranet/Controls/tmp/bdbase/ePic/"
    },
    "stdlog":{
        "destination": "/tmp/"
    },  
    "screenshot": {
        "destination": "/tmp/"
    },
    "url": {
        "archiver"  : "https://data-ui.psi.ch/preselect?c1=hipa-archive/"
	
    },
    "Shift":{
        "type" :"ZORG:SHIFT-TYPE"
    }, 
    "header2" : ["INJ2", "IP2", "IW2", "PK1", "PK2", "SINQ", "UCN"],
    "header" : ["SHIFT", "INJ2", "IP2", "IW2", "PK1", "PK2", "SINQ", "UCN"],
    "SHIFT":{
        "current": "ZORG:SHIFT-TYPE",
	"colorObj" : "Machine",
	"color": "gray",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #ffffff, stop: 1 stop)"
    },
    "INJ2":{
        "current": "MWC2:IST:2",
	"colorObj" : "Machine",
	"color": "gray",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #ffffff, stop: 1 stop)",
	"device" : ["CI1IN", "CI2IN", "CI3IN", "CI4IN","CR1IN", "CR2IN", "CR3IN", "CR4IN", "CR5IN"],
	"attribute" : ["IST:2"]
    },
    "IP2":{
        "current": "MYC1:IST:2",
	"colorObj" : "Beamline",
	"color": "#9888b6",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #ffffff, stop: 1 #gray)", 
	"device" : ["QYA1", "QYA2", "QYA3", "SYC1X", "SYC2Y", "AYB",  "SYA3X", 
		    "SYA4Y","QYA4", "QYA5", "QYA6",  "QYC1",  "QYC2", "SYA5X",  
		    "SYA6Y", "AYD", "SYA8Y", "QYA7", "QYA8", "SYA9X", "SYA10Y", 
		    "SYA11X", "SYA12Y", "QYA9", "QYA10" ],
	"attribute" : ["SOL:2", "IST:2", "PWR:2"]

    },
    "IW2":{
        "current": "MXC2:IST:2",
	"colorObj" : "Machine",
	"color": "gray",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0  #ffffff, stop: 1 #00b7eb)", 
	"device" : ["QXA4", "QXA5", "SXB6Y", "QXB6", "QXB7", "QXB8",  "QXB9", 
		    "SXB5X","SXA7X", "SXA8Y", "QXA10",  "QXA11",  "QXA12", "QXA13",  
		    "SXA9X", "SXA10Y", "SXA12Y", "QXA14", "QXA15", "AXD", "QXA16", 
		    "AXE", "SNB1Y", "QXA17", "QXA18","QXA19", "SND1X", "SND2Y",
		    "ANC", "QND1", "QND2", "SND3Y", "AND1", "AND2"],
	"attribute" : ["SOL:2", "IST:2", "PWR:2"]
    },
    "PK1":{
        "current": "MHC1:IST:2",
	"colorObj" : "Pk",
	"color": "#00b7eb",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0  #ffffff, stop: 1 #00b7eb)" , 
	"device" : ["AHB", "SHA1Y", "QHA1", "QHA2", "SHA2X", "SHA3Y", "AHC", 
		    "QHA3","QHA4", "SHC4X", "QHTC5",  "QHTC6",  "SHD5Y", "SHD6X",  
		    "ABS"],
	"attribute" : ["SOL:2", "IST:2", "PWR:2"]	
    },
    "PK2":{
        "current": "MHC2:IST:2",
	"colorObj" : "Pk",
	"color": "#00b7eb",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #FFFFFF, stop: 1 #2e5894)",
	"device" : ["SHB7X", "QHB7", "QHB8", "AHD1", "QHA9", "QHA10",  "SHA8Y", 
		    "SHA9X","AHD2", "QHC11", "QHC12",  "SHB10X",  "SHA11Y", "QHTC13",  
		    "QHTC14", "QHTC15", "SHD13Y", "SHD14X", "SHD15Y", "SHD16X", "QHTC16", 
		    "QHTC17", "QHTC18", "QHG21", "SHG21X", "QHG22", "AHL", "SHL" ],
	"attribute" : ["SOL:2", "IST:2", "PWR:2"]
    },
    "SINQ":{
        "current": "MHC6:IST:2",
	"colorObj" : "Athos",
	"color": "#2e5894",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #FFFFFF, stop: 1 #2e5894)",
	"device" : ["QHG23", "SHG22X", "QHG24", "QHI25", "QHI26", "SHI23X",  "AHM", 
		    "QHI27", "QHI28", "SHI24X",  "AHN", "SHI25X","QHI29", "QHJ30", 
		    "AHO",  "QHJ31",  "QHJ32"],
	"attribute" : ["SOL:2", "IST:2", "PWR:2"]
    },
    "UCN":{
        "current": "MBC1:IST:2",
	"colorObj" : "Porthos",
	"color": "#9c6da5",
	"qlingrad": "qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #FFFFFF, stop: 1 #9b111e)",
	"device" : ["ABT", "QBB1", "QBB2", "SBB2Y", "SBB3X", "SBB4Y",  "SBB5X", 
		    "QBB3","QBB4", "ABK1", "QBA5",  "QBA6",  "SBA6Y", "ABK2",  
		    "QBB7"],
	"attribute" : ["SOL:2", "IST:2", "PWR:2"]	
    },
    "hdf": {
	"destination" : "/sf/data/measurements/"
    },	
    "hdfGroups": {
        "General":["Created","Author","Application","Comment","Filepath","Process","UID","User"]
    },
    "h5Machine": {
        "charge":   "SINEG01-DICT215:B1_CHARGE_AVERAGE-OP",
        "laser":    "SLG-LGEN:WHICH_LASER",
        "repRate":  "SIN-TIMAST-TMA:Beam-Appl-Freq-RB",
        "beamDest": "SF:MODE_AR",
        "energy":   "SF:ENERGY_AR"
    },
    "h5Data": {
        "dataSet": ["timestamp","data", "pulse_id", "timestamp_offset"]  
    }
}
